

#include "stdafx.h"
#include "MultiZebrasDemo.h"
#include "MultiZebrasDemoDlg.h"
#include "FileOpenCombo.h"
#include "afxdialogex.h"

#include "AppGetZebraTestSteps.h"

LPTSTR lpAnsi2lpWChar(LPSTR lpstr);
LPSTR  lpWChar2lpAnsi(LPTSTR lptstr);

#ifndef ZEBRAZ4U3DLLWIN32_EXPORTS
#include "ZebraZ4U3DllWin32.h"
#else
int getCaptureCardTestProcedures(__HZHANDLE__ hZhandle, char *szGotSettingName, char *pCardName, char *pSensorName, char *pSWVersion);
#endif

void GetTestStepFromZebraBoard(void *pThis, __HZHANDLE__ hZhandle, int myId, char *pGotSettingName, char *pCardName, char *pSensorName, char *pSWVersion)
{
	CMultiZebrasDemoDlg *pMain = (CMultiZebrasDemoDlg *)pThis;

	pMain->UpdateProgressMsg(myId, 0, L"Got Zebra test step: start to get Zebra test step...");
	getCaptureCardTestProcedures(hZhandle, pGotSettingName, pCardName, pSensorName, pSWVersion);	// Captrure card & sensor name are temporary
	pMain->UpdateProgressMsg(myId, 100, L"Got Zebra test step: done");
}